Create bank ledger transaction

Endpoint for creating a new bank ledger transaction.

Path Params
string
required
Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A transaction recorded in the ledger of a bank account.

string
required

The account associated with this transaction.

double
required

The transaction amount.

string | null

The contact (customer or supplier) associated with this transaction, if any.

date
required

The transaction date.

string

The transaction description.

string | null

The project associated with this transaction, if any.

string

The transaction reference or identifier.

string | null

The tax rate to apply to this transaction, if any.

Headers
string

Client-provided UUID to uniquely identify a request

string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json